View Issue Details

IDProjectCategoryView StatusLast Update
0033053Open CASCADEOCCT:Data Exchangepublic2023-01-13 04:46
Reporterdpasukhi Assigned Todpasukhi  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0033053: Data Exchange, Step Export - Compound with vertex is ignored
DescriptionWhen export document to step, in case with vertex compound as a subshape of compound with own label, the vertexes are not processing.
If do expand of the document the vertexes are export correctly.
Need to update the solution to export vertex compound in the any shape level.
Steps To Reproduce
pload ALL
ReadStep D shapes_2d.stp
WriteStep D shapes_2d_comp.stp
ReadStep D_comp shapes_2d_comp.stp
TagsNo tags attached.
Test case numberbugs/step/bug33053

Attached Files

  • shapes_2d.stp (10,385 bytes)

Relationships

child of 0023950 closedbugmaster Community Names and visibility of points not saved when writing XCAF Document into STEP 

Activities

dpasukhi

2022-07-05 13:28

developer  

shapes_2d.stp (10,385 bytes)

git

2022-07-05 16:30

administrator   ~0109577

Branch CR33053 has been created by dpasukhi.

SHA-1: ded775f0093dd6a17167ae681d974c0bacef0f6a


Detailed log of new commits:

Author: dpasukhi
Date: Tue Jul 5 16:10:36 2022 +0300

    0033053: Data Exchange, Step Export - Compound with vertex is ignored
    
    Fixed problem with deep compound including with vertex group.

dpasukhi

2022-07-06 08:58

developer   ~0109590

Dear mvs,
please review CR33053.

The problem reproduce in case with not expanded shape label contains compound with some sub-shapes and one or more compound with only vertex.
In this case sub-compound with vertex is ignore for write operation.
The fix is a recursion iteration for compound child.
The first solution has been develop within 0023950

All tests are OK, see:
http://jenkins-test-occt.nnov.opencascade.com/view/CR33053-master-dpasukhi/view/COMPARE/

msv

2022-07-07 19:17

developer   ~0109675

It is not truth: it returns true even if only one vertex is found.
  //! @return TRUE if more than one vertex was found and all shapes were compound or vertex


The usage of handle of sequence is not justified. Please use simple sequence instead.
Standard_Boolean STEPControl_ActorWrite::separateShapeToSoloVertex(const TopoDS_Shape& theShape,
                                                                   Handle(TopTools_HSequenceOfShape)& theVertices)

git

2022-07-11 13:19

administrator   ~0109755

Branch CR33053_762 has been created by dpasukhi.

SHA-1: bb603d3a6625f8f54872f88fc37bee34908eb368


Detailed log of new commits:

Author: dpasukhi
Date: Tue Jul 5 16:10:36 2022 +0300

    0033053: Data Exchange, Step Export - Compound with vertex is ignored
    
    Fixed problem with deep compound including with vertex group.

git

2022-08-18 18:12

administrator   ~0110306

Branch CR33053_753 has been created by dpasukhi.

SHA-1: f9ed174b273270ded413b556cab522751f18a729


Detailed log of new commits:

Author: dpasukhi
Date: Tue Jul 5 16:10:36 2022 +0300

    0033053: Data Exchange, Step Export - Compound with vertex is ignored
    
    Fixed problem with deep compound including with vertex group.

git

2022-08-18 18:12

administrator   ~0110307

Branch CR33053_763 has been created by dpasukhi.

SHA-1: f9ed174b273270ded413b556cab522751f18a729


No new revisions were added by this update.

git

2022-08-18 18:13

administrator   ~0110308

Branch CR33053 has been updated forcibly by dpasukhi.

SHA-1: a83dd6a6445b3ba7975ce9a4954daf00654f6917

git

2022-08-23 13:57

administrator   ~0110353

Branch CR33053 has been updated forcibly by dpasukhi.

SHA-1: 8c0a1565c62252b973301e0ab8aaeb82d2f8b028

dpasukhi

2022-08-23 13:59

developer   ~0110354

Dear GKA,
please review CR33053

The current fix is recursion checking only vertex representation when step export shape.

All tests are OK, no regressions, see:
http://jenkins-test-occt.nnov.opencascade.com/view/CR33053-master-dpasukhi/view/COMPARE/

gka

2022-08-26 13:12

developer   ~0110378

Branch CR33053 has been reviewed

smoskvin

2022-08-27 14:15

administrator   ~0110386

Combination -
OCCT branch : IR-2022-08-26
master SHA - changes and them, and you can discard any commits you make in this
acac44d571c379b974e609ab8376ab3fb38f992e
changes and them, and you can discard any commits you make in this
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-08-26 SHA - d69fdb0b90e80500fad94ec94a075185cd820071
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18740.360000000626 / 18736.06000000064 [+0.02%]
Products
Total CPU difference: 11987.570000000105 / 11972.270000000151 [+0.13%]
Windows-64-VC14:
OCCT
Total CPU difference: 20800.71875 / 20773.21875 [+0.13%]
Products
Total CPU difference: 13554.96875 / 13548.546875 [+0.05%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-08-28 10:59

administrator   ~0110395

Branch CR33053 has been deleted by mnt.

SHA-1: 8c0a1565c62252b973301e0ab8aaeb82d2f8b028

Related Changesets

occt: master acac44d5

2022-07-05 16:10:36

dpasukhi


Committer: smoskvin Details Diff
0033053: Data Exchange, Step Export - Compound with vertex is ignored

Fixed problem with deep compound including with vertex group.
Affected Issues
0033053
mod - src/STEPControl/STEPControl_ActorWrite.cxx Diff File
mod - src/STEPControl/STEPControl_ActorWrite.hxx Diff File
add - tests/bugs/step/bug33053 Diff File

Issue History

Date Modified Username Field Change
2022-07-05 13:28 dpasukhi New Issue
2022-07-05 13:28 dpasukhi Assigned To => dpasukhi
2022-07-05 13:28 dpasukhi File Added: shapes_2d.stp
2022-07-05 13:28 dpasukhi Relationship added child of 0023950
2022-07-05 16:30 git Note Added: 0109577
2022-07-06 07:23 azv Target Version 7.6.3 => 7.7.0
2022-07-06 08:58 dpasukhi Assigned To dpasukhi => msv
2022-07-06 08:58 dpasukhi Status new => resolved
2022-07-06 08:58 dpasukhi Steps to Reproduce Updated
2022-07-06 08:58 dpasukhi Note Added: 0109590
2022-07-06 09:00 dpasukhi Steps to Reproduce Updated
2022-07-06 09:00 dpasukhi Steps to Reproduce Updated
2022-07-07 19:17 msv Note Added: 0109675
2022-07-07 19:17 msv Assigned To msv => dpasukhi
2022-07-07 19:17 msv Status resolved => assigned
2022-07-11 13:19 git Note Added: 0109755
2022-08-18 18:12 git Note Added: 0110306
2022-08-18 18:12 git Note Added: 0110307
2022-08-18 18:13 git Note Added: 0110308
2022-08-23 13:57 git Note Added: 0110353
2022-08-23 13:59 dpasukhi Assigned To dpasukhi => gka
2022-08-23 13:59 dpasukhi Status assigned => resolved
2022-08-23 13:59 dpasukhi Note Added: 0110354
2022-08-26 13:12 gka Assigned To gka => bugmaster
2022-08-26 13:12 gka Status resolved => reviewed
2022-08-26 13:12 gka Note Added: 0110378
2022-08-27 14:15 smoskvin Status reviewed => tested
2022-08-27 14:15 smoskvin Note Added: 0110386
2022-08-27 14:17 smoskvin Test case number => bugs/step/bug33053
2022-08-28 10:55 smoskvin Changeset attached => occt master acac44d5
2022-08-28 10:55 dpasukhi Assigned To bugmaster => dpasukhi
2022-08-28 10:55 dpasukhi Status tested => verified
2022-08-28 10:55 dpasukhi Resolution open => fixed
2022-08-28 10:59 git Note Added: 0110395
2023-01-13 04:46 vglukhik Project Internal => Open CASCADE